Subject: Re: [PATCH] describe: Break annotated tag ties by tagger date

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 10 Apr 2010 19:40:08 -0700

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> > If more than one annotated tag points at the same commit, use the
> > tag whose tagger field has a more recent date stamp.  This resolves
> > non-deterministic cases where the maintainer has done:
> 
> I think it is a good idea to introduce this tiebreaker to give the listing
> some degree of stability.  And I also notice that you prepared a patch
> that can easily apply to an older codebase like 1.6.6 maintenance track.
> 
> I have anything against this as an incremental and low impact improvement,
> but at the same time I think we might want to consider adding the tagger
> date to "struct tag".

Yea, I thought about that.  It would have simplified the code
in describe.  But I was also trying to avoid a larger impact.  :-)

I'm more than happy to respin with a new date field in struct tag.
I just won't be able to get to it before Monday.

-- 
Shawn.